-- Created by NuclearTonic
-- The use of this code requires the permission of the author.
-- Permission can be atained by contacting NuclearTonic at: TonicBars@gmail.com
--
-- RESPECT!

GuardianClass = class();

function GuardianClass:Constructor()
	configHelper:RegisterBarCreator( "Stances", 			"Stance", 		self.Stance );
	configHelper:RegisterBarCreator( "Overpower Skills", 	"Overpower",	self.Overpower );
	configHelper:RegisterBarCreator( "Parry Skills", 		"Parry",		self.Parry );
	configHelper:RegisterBarCreator( "Block Skills", 		"Block",		self.Block );
	configHelper:ConstructBars();
end

function GuardianClass:Stance( override )	
	configHelper:CreateBar( override, "Stance", 4, 1, 3, 240, 300 );
	configHelper:SetBuffTriggerOptions( false, false );
	configHelper:SetTrigger( ConfigurationHelper.CTRL );
	configHelper:SetBuffTrigger( "Overpower" );
	configHelper:SetBuffTrigger( "Guardian's Parry Stance" );
	configHelper:SetBuffTrigger( "Guardian's Block Stance" );
	configHelper:SetBGColor( 0.35, 1, 0, 0 );
	configHelper:AddShortcut( 1, "0x70003EDF", 6, 4 );
	configHelper:AddShortcut( 2, "0x7000D4B1", 6, 10 );
	configHelper:AddShortcut( 3, "0x70003EE3", 6, 12 );
end

function GuardianClass:Overpower( override )
	configHelper:CreateBar( override, "Overpower", 30, 1, 2, 240, 350 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetBuffTrigger( "Overpower" );
	configHelper:AddShortcut( 1, "0x7000D4B0", 6, 30 );
	configHelper:AddShortcut( 2, "0x7000D4B3", 6, 46 );
end

function GuardianClass:Parry( override )
	configHelper:CreateBar( override, "Parry", 8, 1, 4, 240, 400 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetBuffTrigger( "Parry Response" );
	configHelper:SetBuffTrigger( "Retaliation" );
	configHelper:AddShortcut( 1, "0x70003EE0", 6, 8 );
	configHelper:AddShortcut( 2, "0x70003EE2", 6, 8 );
	configHelper:AddShortcut( 3, "0x70003EE4", 6, 14 );
	configHelper:AddShortcut( 4, "0x70003EE5", 6, 18 );
end

function GuardianClass:Block( override )
	configHelper:CreateBar( override, "Block", 2, 1, 4, 240, 450 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetBuffTrigger( "Block Response" );
	configHelper:AddShortcut( 1, "0x7000305D", 6, 2 );
	configHelper:AddShortcut( 2, "0x70003EE1", 6, 10 );
	configHelper:AddShortcut( 3, "0x7000307D", 6, 16 );
	configHelper:AddShortcut( 4, "0x70003EE6", 6, 22  );
end