-- Created by NuclearTonic
-- The use of this code requires the permission of the author.
-- Permission can be atained by contacting NuclearTonic at: TonicBars@gmail.com
--
-- RESPECT!

MinstrelClass = class();

function MinstrelClass:Constructor()
	configHelper:RegisterBarCreator( "War-Speech Skills", 		"War-speech", 		self.WarSpeech );
	configHelper:RegisterBarCreator( "Stances", 				"Stances", 			self.Stances );
	configHelper:RegisterBarCreator( "Coda", 					"Coda", 			self.Coda );
	configHelper:RegisterBarCreator( "Anthem Skills", 			"Anthems", 			self.Anthems );
	configHelper:RegisterBarCreator( "Scribe Stance Skills", 	"Scribe Stance", 	self.Scribe );
	configHelper:ConstructBars();
end

function MinstrelClass:WarSpeech( override )
	configHelper:CreateBar( override, "War-speech", 14, 1, 3, 240, 300 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetBuffTrigger( "War-speech" );
	configHelper:AddShortcut( 1, "0x7000B69A", 6, 14 );
	configHelper:AddShortcut( 2, "0x7000B69B", 6, 34 );
	configHelper:AddShortcut( 3, "0x7000F250", 6, 56 );
end

function MinstrelClass:Stances( override )
	configHelper:CreateBar( override, "Stances", 10, 1, 2, 240, 350 );
	configHelper:AddShortcut( 2, "0x7000B699", 6, 10 );
	configHelper:AddShortcut( 1, "0x700293C8", 6, 22 );
end

function MinstrelClass:Coda( override )
	configHelper:CreateBar( override, "Coda", 1, 1, 1, 240, 400 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetBuffTrigger( "Ballad Tier 3" );
	configHelper:AddShortcut( 1, "0x700293C4", 6, 1 );
end

function MinstrelClass:Anthems( override )
	configHelper:CreateBar( override, "Anthems", 6, 1, 6, 240, 450 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetBuffTrigger( "Ballad Tier 3" );
	configHelper:AddShortcut( 1, "0x7000317F", 6, 6 );
	configHelper:AddShortcut( 2, "0x70003E88", 6, 18 );
	configHelper:AddShortcut( 3, "0x70003E7F", 6, 20 );
	configHelper:AddShortcut( 4, "0x70003E8A", 6, 24 );
	configHelper:AddShortcut( 5, "0x700264BA", 6, 28 );
	configHelper:AddShortcut( 6, "0x70003E80", 6, 36 );
end

function MinstrelClass:Scribe( override )
	configHelper:CreateBar( override, "Scribe Stance", 30, 1, 3, 240, 500 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetBuffTrigger( "Scribe Stance" );
	configHelper:AddShortcut( 1, "0x7000C787", 6 );
	configHelper:AddShortcut( 2, "0x7000C788", 6 );
	configHelper:AddShortcut( 3, "0x7000C78B", 6 );
end