-- Created by NuclearTonic
-- The use of this code requires the permission of the author.
-- Permission can be atained by contacting NuclearTonic at: TonicBars@gmail.com
--
-- RESPECT!

WardenClass = class();

function WardenClass:Constructor()
	configHelper:RegisterBarCreator( "Stances", 	"Stance", self.Stance );
	configHelper:RegisterBarCreator( "Travel", 		"Travel", self.Travel );
	configHelper:RegisterBarCreator( "Javelins", 	"Javelins", self.Javelin );
	configHelper:RegisterBarCreator( "Recovery", 	"Recovery", self.Recovery );
	configHelper:RegisterBarCreator( "March", 		"March", self.March );
	configHelper:RegisterBarCreator( "Charge", 		"Charge", self.Charge );
	configHelper:ConstructBars();
end

function WardenClass:Stance( override )
	configHelper:CreateBar( override, "Stance", 12, 1, 3, 240, 300 );
	configHelper:SetBuffTriggerOptions( false, false );
	configHelper:SetTrigger( ConfigurationHelper.CTRL );
	configHelper:SetBuffTrigger( "Recklessness" );
	configHelper:SetBuffTrigger( "Conservation" );
	configHelper:SetBuffTrigger( "Warden's Determination" );
	configHelper:SetBGColor( 0.35, 1, 0, 0 );
	configHelper:AddShortcut( 1, "0x7000ECD7", 6, 12 );
	configHelper:AddShortcut( 2, "0x70014799", 6, 20 );
	configHelper:AddShortcut( 3, "0x70014832", 6, 34 );
end

function WardenClass:Travel( override )
	configHelper:CreateBar( override, "Travel", 26, 1, 4, 240, 350 );
	configHelper:AddShortcut( 1, "0x70014798", 6, 26 );
	configHelper:AddShortcut( 2, "0x70014786", 6, 32 );
	configHelper:AddShortcut( 3, "0x7001478E", 6, 40 );
	configHelper:AddShortcut( 4, "0x70014791", 6, 44 );
end

function WardenClass:Javelin( override )
	configHelper:CreateBar( override, "Javelins", 1, 1, 4, 240, 400 );
	configHelper:AddShortcut( 1, "0x700105C5", 6, 1 );
	configHelper:AddShortcut( 2, "0x70014784", 6, 20 );
	configHelper:AddShortcut( 3, "0x70014831", 6, 28 );
	configHelper:AddShortcut( 4, "0x70014833", 6, 38 );
end

function WardenClass:Recovery( override )
	configHelper:CreateBar( override, "Recovery", 10, 1, 2, 240, 450 );
	configHelper:AddShortcut( 1, "0x70016A0A", 6, 10 );
	configHelper:AddShortcut( 2, "0x70016A09", 6, 24 );
end

function WardenClass:March( override )
	configHelper:CreateBar( override, "March", 14, 1, 2, 240, 500 );
	configHelper:AddShortcut( 1, "0x700105CC", 6, 14 );
	configHelper:AddShortcut( 2, "0x70014860", 6, 14 );
end

function WardenClass:Charge( override )
	configHelper:CreateBar( override, "Charge", 10, 1, 1, 240, 550 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetBuffTrigger( "Charge" );
	configHelper:AddShortcut( 1, "0x700101D8", 6, 10 );
end