-- Created by NuclearTonic
-- The use of this code requires the permission of the author.
-- Permission can be atained by contacting NuclearTonic at: TonicBars@gmail.com
--
-- RESPECT!

import "Tonic.TonicBars.DefaultConfiguration.Classes.Burglar"
import "Tonic.TonicBars.DefaultConfiguration.Classes.Captain"
import "Tonic.TonicBars.DefaultConfiguration.Classes.Champion"
import "Tonic.TonicBars.DefaultConfiguration.Classes.Guardian"
import "Tonic.TonicBars.DefaultConfiguration.Classes.Hunter"
import "Tonic.TonicBars.DefaultConfiguration.Classes.LoreMaster"
import "Tonic.TonicBars.DefaultConfiguration.Classes.Minstrel"
import "Tonic.TonicBars.DefaultConfiguration.Classes.RuneKeeper"
import "Tonic.TonicBars.DefaultConfiguration.Classes.Warden"
import "Tonic.TonicBars.DefaultConfiguration.Skirmish"
import "Tonic.TonicBars.DefaultConfiguration.Potions"

MainConfig = class();

function MainConfig:Constructor()
	self.Warden = 194;
	local p2 = Turbine.Gameplay.LocalPlayer.GetInstance();
	eventManager.AddCallback( self, p2, "LevelChanged", function( sender, args )
		self:CheckConfiguration();
	end);
	
	local configSettings = theSettingsManager:GetSettings();
	if ( configSettings.defaultsCreated == nil and #theSettingsManager:GetBars() == 0) then
		configSettings.defaultsCreated = true;
		self:CheckConfiguration();
	end
end

function MainConfig:CheckConfiguration()
	configHelper:SetPlayerLevel( player:GetLevel() );

	-- Create Quickslot Bar        Name - Rows - Columns
	-- configHelper:CreateBar( "Health", nil, 5, 1, 200, 200 );
	-- configHelper:SetTrigger( ConfigurationHelper.HEALTH, 95 );
	-- configHelper:AddShortcut( 4, "0x70003E7F", 6 );

	if ( playerClass == Turbine.Gameplay.Class.Burglar ) then
		Tonic.TonicBars.DefaultConfiguration.Classes.BurglarClass();
	elseif ( playerClass == Turbine.Gameplay.Class.Captain ) then
		Tonic.TonicBars.DefaultConfiguration.Classes.CaptainClass();
	elseif ( playerClass == Turbine.Gameplay.Class.Champion ) then
		Tonic.TonicBars.DefaultConfiguration.Classes.ChampionClass();
	elseif ( playerClass == Turbine.Gameplay.Class.Guardian ) then
		Tonic.TonicBars.DefaultConfiguration.Classes.GuardianClass();
	elseif ( playerClass == Turbine.Gameplay.Class.Hunter ) then
		Tonic.TonicBars.DefaultConfiguration.Classes.HunterClass();
	elseif ( playerClass == Turbine.Gameplay.Class.LoreMaster ) then
		Tonic.TonicBars.DefaultConfiguration.Classes.LoreMasterClass();
	elseif ( playerClass == Turbine.Gameplay.Class.Minstrel ) then
		Tonic.TonicBars.DefaultConfiguration.Classes.MinstrelClass();
	elseif ( playerClass == Turbine.Gameplay.Class.RuneKeeper ) then
		Tonic.TonicBars.DefaultConfiguration.Classes.RuneKeeperClass();
	elseif ( playerClass == self.Warden ) then
		Tonic.TonicBars.DefaultConfiguration.Classes.WardenClass();
	end
	--Tonic.TonicBars.DefaultConfiguration.Skirmish();
	Tonic.TonicBars.DefaultConfiguration.Potions();

	theSettingsManager:SaveSettings();
	maitre_d:LoadQuickslots();
	maitre_d:RefreshBars();
end