-- Created by NuclearTonic
-- The use of this code requires the permission of the author.
-- Permission can be atained by contacting NuclearTonic at: TonicBars@gmail.com
--
-- RESPECT!

import "Turbine.Gameplay";
import "Turbine.UI";
import "Tonic.Utils.Class";
import "Tonic.Utils.Table";

MiscEvents = class( Turbine.Object  );

function MiscEvents:Constructor( regEvents )
	self.registeredEvents = regEvents;
	
	eventManager.AddCallback( self, player, "InCombatChanged", function( sender, args )
		if ( player:IsInCombat() ) then
			self.registeredEvents.playerInCombat = true;
		else
			self.registeredEvents.playerInCombat = false;
		end
		eventManager:NotifyClients();
	end);
end

function MiscEvents:CheckVisibility( barSettings )
	local visible = false;
	-- Send all Keypress based events to all clients
	if ( (self.registeredEvents.playerInCombat == true and barSettings.events.displayInCombat == true) or
		 (self.registeredEvents.playerInCombat == false and barSettings.events.displayNotInCombat == true)
		) then
		visible = true;
	end
	return visible;
end