-- Created by NuclearTonic
-- If reusing this code, please keep the name of the original author listed
-- in respect for borrowing said authors code.
-- RESPECT!

import "Turbine";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Tonic.Utils.Class";
import "Tonic.UI.CheckBox";
import "Tonic.UI.ComboBox";
import "Tonic.UI.AutoListBox";
import "Tonic.UI.MenuUtils";

AboutMenu = class( Tonic.UI.AutoListBox );

function AboutMenu:Constructor()
	Tonic.UI.AutoListBox.Constructor( self );
	
	self.utils = Tonic.UI.MenuUtils();
	self:AddSettings();
	self:AddCommandsBar();
	self.settingsBox:SetVisible( false );
	self:AddItem( self.settingsBox );
end

function AboutMenu:AddSettings()
	self.settingsBox = self.utils:AddAutoListBox( self, Turbine.UI.Orientation.Vertical, 0, 0, 0, 0 );
	
	self.extSbNum = self.utils:AddLabelBox( self.settingsBox, LOCALESTRINGS.AboutMenu["Thank you everyone for trying TonicBars. This enjoyable experience is brought to you by NuclearTonic!"], 390, 100 );
	self.extSbNum = self.utils:AddLabelBox( self.settingsBox, LOCALESTRINGS.AboutMenu["A special thanks to Farothhen for his German Translations and the community for the French Translations."], 390, 100 );
	self.extSbNum = self.utils:AddLabelBox( self.settingsBox, LOCALESTRINGS.AboutMenu["I hope you appreciate the many hours that went into this plugin, enjoy!"], 390, 100 );
	self.extSbNum = self.utils:AddLabelBox( self.settingsBox, LOCALESTRINGS.AboutMenu["This is version "] .. THEVERSION .. LOCALESTRINGS.AboutMenu[" of TonicBars!"], 390, 50 );
end

function AboutMenu:AddCommandsBar()
end

function AboutMenu:DisplaySettings( showQuickslots )
	self.settingsBox:SetVisible( showQuickslots );
end

function ExtensionsMenu:GetSelection()
	return nil;
end